using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace Discovery.Core
{
    [Serializable]
	/// <summary>
	/// Our initial ping "payload" 
	/// </summary>
    public class ServiceClientInfo
    {
		/// <summary>
		/// IP address of the client that sent the ping 
		/// </summary>
        public string IPAddress { get; private set; }
		
		/// <summary>
		/// UDP port to send a response to 
		/// </summary>
        public int Port { get; private set; }

        public ServiceClientInfo(string iPAddress, int port)
        {
            IPAddress = iPAddress;
            Port = port;
        }
    }
}
